import request from '@/utils/request';

// 保存/修改 类型 /编码信息
export async function save(data) {

  const res = await request.post('/main/business_code_category/' + (data.id ? 'update' : 'save'), data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 获取编码树
export async function selectTreeList(data) {
  const res = await request.post(`/main/business_code_category/selectTreeList`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 获取右侧列表
export async function listParentId(data) {
  const res = await request.post(`/main/business_code_category/listPageParentId`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
// 获取右侧码段列表
export async function pageSegment(data) {
  const res = await request.post(`/main/business_code_manage/page`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
// 保存/修改 码段
export async function saveSegment(data) {
  const res = await request.post('/main/business_code_manage/' + (data.id ? 'update' : 'save'), data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 删除码段
 */
export async function removeSegment(data) {
  const res = await request.delete('/main/business_code_manage/delete', { data });
  if (res.data.code == 0) {
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 删除编码
 */
export async function removeCode(data) {
  const res = await request.delete('/main/business_code_category/delete', { data });
  if (res.data.code == 0) {
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}


// // 生成编码
// export async function getCode(code) {
//   const res = await request.get(`/main/codemanage/getCode/` + code, {});
//   if (res.data.code == 0) {
//     return res.data.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }

// /**
//  * 检查编码是否存在
//  * @param code 编码
//  */
// export async function checkCode(code) {
//   const res = await request.get('/main/codemanage/getByCode/' + code);
//   if (res.data.code == 0) {
//     return res.data.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }




/**
 * 查询文件夹分类数据
 * @data data
 */
export async function getDocTreeListAPI(data) {
  const res = await request.post('/fm/directory/selectTreeList', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}